package org.mathcs.ibookmark;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ListView;
import android.widget.Toast;

public class BookmarkActivity extends Activity
{
	public final static String KEY_URL = "url";
	public final static String DEFAULT_URL = "http://www.shu.edu/";
	public final static int TEXT_SIZE = 18;
	public final static int TEXT_SIZE_SMALL = 16;

	
	private BookmarkAdapter data;
	private ListView list;
	
	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_bookmark);
	
		data = new BookmarkAdapter(this);
		list = (ListView)this.findViewById(R.id.id_list);
		list.setAdapter(data);
		
		list.setOnItemClickListener(new AdapterView.OnItemClickListener()
			{
				@Override
				public void onItemClick(AdapterView<?> adapter, View view, int pos, long arg3)
				{
					startBookmark(pos);
				}
			});
		
		data.add(new Bookmark("Seton Hall Pirate", "http://pirate.shu.edu/"));
		data.add(new Bookmark("MathCS.org", "http://www.mathcs.org/"));
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu)
	{
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.bookmark, menu);
		return true;
	}
	
	@Override
	public boolean onOptionsItemSelected(MenuItem item) 
	{
		if (item.getItemId() == R.id.id_menu_add)
		{
			addBookmark();
			return true;
		}
		else
			return super.onOptionsItemSelected(item);
	}
	
	@Override
	public void onPause()
	{
		super.onPause();
		Toast.makeText(this, "Saving", Toast.LENGTH_SHORT).show();
		
	}

	@Override
	public void onResume()
	{
		super.onResume();
		Toast.makeText(this, "Loading", Toast.LENGTH_SHORT).show();
	}
	
	private void addBookmark()
	{
		data.add(new Bookmark("Rutgers", "http://www.vrutgers.edu/"));
		data.notifyDataSetChanged();
	}
	
	private void startBookmark(int position)
	{
		Intent intent = new Intent(this, UrlViewer.class);
		intent.putExtra(KEY_URL, data.get(position).getUrl());
		
		startActivity(intent);
	}
}
