package org.mathcs.ibookmark;

import java.util.ArrayList;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;

public class BookmarkAdapter extends BaseAdapter
{
	private ArrayList<Bookmark> data;
	private Context context;
	
	public BookmarkAdapter(Context context)
	{
		super();
		this.context = context;
		data = new ArrayList<Bookmark>();
	}

	public void add(Bookmark item)
	{
		data.add(item);
	}
	
	public Bookmark get(int position)
	{
		return (Bookmark)data.get(position);
	}
	
	public void remove(int position)
	{
		data.remove(position);
	}
	
	@Override
	public int getCount()
	{
		return data.size();
	}

	@Override
	public Object getItem(int position)
	{
		return data.get(position);
	}

	@Override
	public long getItemId(int position)
	{
		return 0;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent)
	{
		BookmarkView view = null;
		
		if (convertView != null)
			view = (BookmarkView)convertView;
		else
			view = new BookmarkView(context);
		
		view.setData(data.get(position));
		return view;
	}

}
