package org.mathcs.ibookmark;

import android.content.Context;
import android.util.TypedValue;
import android.widget.LinearLayout;
import android.widget.TextView;

public class BookmarkView extends LinearLayout
{
	private TextView url;
	private TextView title;

	public BookmarkView(Context context)
	{
		super(context);

		title = new TextView(context);
		url = new TextView(context);

		title.setTextSize(TypedValue.COMPLEX_UNIT_SP, BookmarkActivity.TEXT_SIZE);
		url.setTextSize(TypedValue.COMPLEX_UNIT_SP, BookmarkActivity.TEXT_SIZE_SMALL);

		setOrientation(LinearLayout.VERTICAL);
		
		addView(title);
		addView(url);
	}

	public void setData(Bookmark item)
	{
		title.setText(item.getTitle());
		url.setText(item.getUrl());
	}
}
